package net.knarcraft.bookswithoutborders.util;

import org.junit.Test;

import static net.knarcraft.bookswithoutborders.utility.IntegerToRomanConverter.getRomanNumber;
import static org.junit.Assert.assertEquals;

/**
 * A test class for IntegerToRomanConverter
 */
public class IntegerToRomanConverterTest {

    @Test
    public void basicNumbersTest() {
        assertEquals("I", getRomanNumber(1));
        assertEquals("II", getRomanNumber(2));
        assertEquals("III", getRomanNumber(3));
        assertEquals("IV", getRomanNumber(4));
        assertEquals("V", getRomanNumber(5));
        assertEquals("X", getRomanNumber(10));
        assertEquals("XV", getRomanNumber(15));
        assertEquals("XX", getRomanNumber(20));
        assertEquals("L", getRomanNumber(50));
        assertEquals("C", getRomanNumber(100));
        assertEquals("D", getRomanNumber(500));
        assertEquals("M", getRomanNumber(1000));
    }

    @Test
    public void nineFourTest() {
        assertEquals("IV", getRomanNumber(4));
        assertEquals("IX", getRomanNumber(9));
        assertEquals("XIV", getRomanNumber(14));
        assertEquals("XIX", getRomanNumber(19));
        assertEquals("XXIV", getRomanNumber(24));
        assertEquals("XL", getRomanNumber(40));
        assertEquals("IL", getRomanNumber(49));
    }

}
